package com.tarena.oss.account.dao;

import java.util.Collection;

import com.tarena.oss.account.pojo.Detaildays;
import com.tarena.oss.account.pojo.Detailmonths;
import com.tarena.oss.account.pojo.Detailyears;

public interface AccountMgmtDAO {
	Collection<Detailyears> queryAccountByYear();
	Collection<Detailyears> queryAccountByYear(String year);
	Collection<Detailmonths> queryAccountByMonth();
	Collection<Detailmonths> queryAccountByMonth(String cond,String year);
	Collection<Detailmonths> queryAccountByMonthfor(String year,String month);

	Collection<Detaildays> queryAccountByDate(String cond,String year,String month);
	
	int queryDateCnt();
	int queryDateCnt(String cond);
	
	int queryMonthCnt();
	int queryMonthCnt(String cond);
	
	int queryYearCnt();
	int queryYearCnt(String cond);
}
